﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class Cambia_Scena : MonoBehaviour {
	public static Cambia_Scena Instance = null; // rende la classe un singleton
	void Awake(){
		Instance = this; // viere restituito l'oggetto instance
	}

	public void toMenu(){ 
		SceneManager.LoadScene ("Menu"); //viene caricata la scena "Menu"
	}
		
	public void toConverter(){
		SceneManager.LoadScene ("Converter"); //viene caricata la scena "Converter"
	}

	public void toOperations(){
		SceneManager.LoadScene ("Operations"); //viene caricata la scena "Operations"
	}

	public string getScene(){
		return SceneManager.GetActiveScene().name; //restituisce il nome della scena attiva
	}
}
